unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, VCLTee.TeEngine, VCLTee.Series,
  Vcl.ExtCtrls, VCLTee.TeeProcs, VCLTee.Chart, VCLTee.TeeTools;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    ChartTool1: TAnnotationTool;
    Series2: TBarSeries;
    procedure Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer; var
        MarkText: string);
    procedure Series2GetMarkText(Sender: TChartSeries; ValueIndex: Integer; var
        MarkText: string);
  private
    { Private declarations }
  public
    { Public declarations }
    constructor Create(aOwner: TComponent); override;
  end;

var
  Form1: TForm1;

implementation

uses
  math;

{$R *.dfm}


constructor TForm1.Create(aOwner: TComponent);
var
  I: Integer;
begin
  inherited;

  Series1.Clear;
  Series2.Clear;
  for I := 1 to 10 do
    if I <= 2 then
    begin
      Series1.Add(20-I);
      Series2.AddNull;
    end
    else
    if I = 3 then
    begin
      Series1.Add(15);
      Series2.Add(2);
    end
    else
    begin
      Series1.AddNull;
      Series2.Add(20-I);
    end;
end;


procedure TForm1.Series1GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
    var MarkText: string);
begin
  if ValueIndex = 1 then
    MarkText := 'This is description Series #1 text'#13'for item #' + IntToSTr(ValueIndex)
  else
    MarkText := '';
end;

procedure TForm1.Series2GetMarkText(Sender: TChartSeries; ValueIndex: Integer;
    var MarkText: string);
begin
  if ValueIndex in [2, 9] then
    MarkText := 'This is description Series #2 text'#13'for item #' + IntToSTr(ValueIndex)
  else
    MarkText := '';
end;

end.
